aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2022-04-27 13:28:45 +0300
committerQt Cherry-pick Bot <cherrypick_bot@qt-project.org>2022-05-25 04:23:13 +0000
commit08930fa8aa18a9616b070d6d4ac6ad431015a492 (patch)
tree04fad8dc4268f130955967c9c8f76429e0832d7b
parenta7b7ee295ddc26b3d7450e696dec1b24653b73cc (diff)
Disable Software Updates for macOS6.3
Change-Id: Id80d66cfebaa17311d7bfd927f3ce33ba0b81661 Reviewed-by: Ville-Pekka Karhu <ville-pekka.karhu@qt.io> (cherry picked from commit e5b819e26db4bb9edd226532f386a5e2b4964c4c) Reviewed-by: Qt Cherry-pick Bot <cherrypick_bot@qt-project.org>
-rwxr-xr-xcoin/provisioning/common/macos/system_updates.sh5
-rwxr-xr-xcoin/provisioning/qtci-macos-10.14-x86_64/01-disable-updates.sh5
-rwxr-xr-xcoin/provisioning/qtci-macos-10.15-x86_64/01-disable-updates.sh5
-rwxr-xr-xcoin/provisioning/qtci-macos-11-x86_64/01-disable-updates.sh5
-rwxr-xr-xcoin/provisioning/qtci-macos-11.0-arm/01-disable-updates.sh5
-rwxr-xr-xcoin/provisioning/qtci-macos-12-x86_64/01-disable-updates.sh5
-rwxr-xr-xcoin/provisioning/qtci-macos-12.0-arm/01-disable-updates.sh5
7 files changed, 34 insertions, 1 deletions
diff --git a/coin/provisioning/common/macos/system_updates.sh b/coin/provisioning/common/macos/system_updates.sh
index 649cdbad..fd440e93 100755
--- a/coin/provisioning/common/macos/system_updates.sh
+++ b/coin/provisioning/common/macos/system_updates.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2022 The Qt Company Ltd.
## Contact: https://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -44,3 +44,6 @@ sudo defaults write /Library/Preferences/com.apple.SoftwareUpdate AutomaticDownl
# Disable "Install system data files and security updates" from App Store
sudo defaults write /Library/Preferences/com.apple.SoftwareUpdate CriticalUpdateInstall -boolean FALSE
+
+# Disable "Automatic checks"
+sudo defaults write /Library/Preferences/com.apple.SoftwareUpdate AutomaticCheckEnabled -bool FALSE
diff --git a/coin/provisioning/qtci-macos-10.14-x86_64/01-disable-updates.sh b/coin/provisioning/qtci-macos-10.14-x86_64/01-disable-updates.sh
new file mode 100755
index 00000000..10efb43e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.14-x86_64/01-disable-updates.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/system_updates.sh"
diff --git a/coin/provisioning/qtci-macos-10.15-x86_64/01-disable-updates.sh b/coin/provisioning/qtci-macos-10.15-x86_64/01-disable-updates.sh
new file mode 100755
index 00000000..10efb43e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.15-x86_64/01-disable-updates.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/system_updates.sh"
diff --git a/coin/provisioning/qtci-macos-11-x86_64/01-disable-updates.sh b/coin/provisioning/qtci-macos-11-x86_64/01-disable-updates.sh
new file mode 100755
index 00000000..10efb43e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11-x86_64/01-disable-updates.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/system_updates.sh"
diff --git a/coin/provisioning/qtci-macos-11.0-arm/01-disable-updates.sh b/coin/provisioning/qtci-macos-11.0-arm/01-disable-updates.sh
new file mode 100755
index 00000000..10efb43e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-11.0-arm/01-disable-updates.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/system_updates.sh"
diff --git a/coin/provisioning/qtci-macos-12-x86_64/01-disable-updates.sh b/coin/provisioning/qtci-macos-12-x86_64/01-disable-updates.sh
new file mode 100755
index 00000000..10efb43e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-12-x86_64/01-disable-updates.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/system_updates.sh"
diff --git a/coin/provisioning/qtci-macos-12.0-arm/01-disable-updates.sh b/coin/provisioning/qtci-macos-12.0-arm/01-disable-updates.sh
new file mode 100755
index 00000000..10efb43e
--- /dev/null
+++ b/coin/provisioning/qtci-macos-12.0-arm/01-disable-updates.sh
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/macos/system_updates.sh"